mode: predict
debug: False
experiment_name: quick_inference_skeleton_articulationxl_ar_256
resume_from_checkpoint: experiments/skeleton/articulation-xl/model.ckpt

components:
  data: quick_inference
  tokenizer: tokenizer_parts_articulationxl
  transform: inference_ar_transform
  model: unirig_ar_350m_1024_81920_float32
  system: ar_inference_articulationxl
  data_name: raw_data.npz

writer:
  __target__: ar
  output_dir: ~ # export results into the same input folder
  add_num: False
  repeat: 1
  export_npz: predict_skeleton
  export_obj: skeleton
  export_fbx: skeleton
  # export_pc: pc

trainer:
  max_epochs: 1
  num_nodes: 1
  devices: 1
  precision: bf16-mixed
  accelerator: gpu
  strategy: ddp
